الانتقال إلى المحتوى الرئيسي
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
استخدم الـ queue_id المُعاد من /audio/queue للتحقق من حالة التوليد. عند اكتمال الطلب، تُعيد هذه الـ endpoint بيانات الصوت المُولَّد.

مجموعة Postman

للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

application/json
model
string
مطلوب

The ID of the model used for audio generation.

مثال:

"elevenlabs-music"

queue_id
string
مطلوب

The ID of the audio generation request. Use this to poll for status and retrieve the result.

مثال:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
افتراضي:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

مثال:

false

الاستجابة

Audio generation status or completed audio

status
enum<string>
مطلوب

The status of the audio generation request.

الخيارات المتاحة:
PROCESSING
مثال:

"PROCESSING"

average_execution_time
number
مطلوب

The estimated execution time of the audio generation request in milliseconds (P80).

مثال:

20000

execution_duration
number
مطلوب

The current duration of the audio generation request in milliseconds.

مثال:

5200